/* Activities with memos greater than 2000 characters */
select *			
from debt
JOIN debt_user_activity ON debt.debt_number = debt_user_activity.debt_number
JOIN user_activity ON debt_user_activity.activity_number = user_activity.activity_number
JOIN DebtList ON DebtList.debt_number = debt.debt_number
where user_activity.activity_number in (select activity_number
from user_activity
where datalength(memo_text) > 1745)


/* Activities on transactions with memos greater than 2000 characters */
select *					
from financial_detail
JOIN transaction_control ON financial_detail.transaction_number = transaction_control.transaction_number
JOIN debt_user_activity ON financial_detail.debt_number = debt_user_activity.debt_number
JOIN user_activity ON debt_user_activity.activity_number = user_activity.activity_number
JOIN DebtList ON DebtList.debt_number = financial_detail.debt_number
where  	transaction_control.date_created = user_activity.date_of_activity and
	transaction_control.transaction_code <> 'OVP' and
	financial_detail.charge_code = 'DEB' and
	user_activity.activity_number in (select activity_number
from user_activity
where datalength(memo_text) > 1745)