use welcoll
go

/**************** Recovery Accounts with no Overpayment *****************/

/* CalSAWS RecoveryAccount with no Overpayment */
select *
from RecoveryAccount
where not exists (select 1
		from RecoveryAccountOverpayment
		where RecoveryAccount.LegacyAccountNumberIdentifier = RecoveryAccountOverpayment.LegacyAccountNumberIdentifier)


/******* In the extract ******/

/* VACS Debt with no Overpayment transaction that will be in the extract */
select *
from debt, DebtList
where debt.debt_number = DebtList.debt_number and
	not exists (select 1
		from financial_detail, transaction_control
		where debt.debt_number = financial_detail.debt_number and
			financial_detail.transaction_number = transaction_control.transaction_number and
			charge_code = 'DEB' and
			transaction_control.transaction_code = 'OVP')


/******* All VACS records *******/

/* All VACS Debt with no Overpayment transaction */
select *
from debt
where not exists (select 1
		from financial_detail, transaction_control
		where debt.debt_number = financial_detail.debt_number and
			financial_detail.transaction_number = transaction_control.transaction_number and
			charge_code = 'DEB' and
			transaction_control.transaction_code = 'OVP')





/**************** Overpayments with no Recovery Account *****************/

/* CalSAWS Overpayment with no RecoveryAccount */
select *
from RecoveryAccountOverpayment
where not exists (select 1
		from RecoveryAccount
		where RecoveryAccount.LegacyAccountNumberIdentifier = RecoveryAccountOverpayment.LegacyAccountNumberIdentifier)


/******* In the extract ******/

/* VACS Overpayment transactions with no Debt that will be in the extract */
select *
from transaction_control, financial_detail, DebtList
where financial_detail.debt_number = DebtList.debt_number and
	transaction_control.transaction_number = financial_detail.transaction_number and
	charge_code = 'DEB' and
	transaction_code = 'OVP' and
	not exists (select 1
	from debt	
	where financial_detail.debt_number = debt.debt_number)


/* VACS Overpayment transactions with no Case that will be in the extract */
select *
from transaction_control, financial_detail, DebtList
where financial_detail.debt_number = DebtList.debt_number and
	transaction_control.transaction_number = financial_detail.transaction_number and
	charge_code = 'DEB' and
	transaction_code = 'OVP' and
	not exists (select 1
	from debt, case_info	
	where debt.reference_number = case_info.reference_number and
		financial_detail.debt_number = debt.debt_number)


/* VACS Overpayment transactions with no Debtor that will be in the extract */
select *
from transaction_control, financial_detail, DebtList
where financial_detail.debt_number = DebtList.debt_number and
	transaction_control.transaction_number = financial_detail.transaction_number and
	charge_code = 'DEB' and
	transaction_code = 'OVP' and
	not exists (select 1
	from debt, debtor	
	where debt.debtor_id = debtor.debtor_id and
		financial_detail.debt_number = debt.debt_number)



/******* All VACS records *******/

/* All VACS Overpayment transactions with no Debt */
select *
from transaction_control, financial_detail
where transaction_control.transaction_number = financial_detail.transaction_number and
	charge_code = 'DEB' and
	transaction_code = 'OVP' and
	not exists (select 1
	from debt	
	where financial_detail.debt_number = debt.debt_number)


/* All VACS Overpayment transactions with no Case */
select *
from transaction_control, financial_detail
where transaction_control.transaction_number = financial_detail.transaction_number and
	charge_code = 'DEB' and
	transaction_code = 'OVP' and
	not exists (select 1
	from debt, case_info	
	where debt.reference_number = case_info.reference_number and
		financial_detail.debt_number = debt.debt_number)


/* All VACS Overpayment transactions with no Debtor */
select *
from transaction_control, financial_detail
where transaction_control.transaction_number = financial_detail.transaction_number and
	charge_code = 'DEB' and
	transaction_code = 'OVP' and
	not exists (select 1
	from debt, debtor	
	where debt.debtor_id = debtor.debtor_id and
		financial_detail.debt_number = debt.debt_number)


















