use welcoll
go


/********************** CalSAWSProgramCodeMap *********************/
insert CalSAWSProgramCodeMap
select type_code,
		description,
		null,
		null,
		1
from case_type
where not exists (select 1 
			from CalSAWSProgramCodeMap
			where type_code = vacs_code)


/********************** CalSAWSStatusCodeMap *********************/
insert CalSAWSRecoveryAccountStatusMap
select status_code,
		description,
		null,
		null,
		0
from debt_status
where not exists (select 1 
			from CalSAWSRecoveryAccountStatusMap
			where status_code = vacs_code)


/********************** CalSAWSStatusReasonMap *********************/
insert CalSAWSRecoveryAccountStatusReasonMap
select status_code,
		description,
		null,
		null
from debt_status
where not exists (select 1 
			from CalSAWSRecoveryAccountStatusReasonMap
			where status_code = vacs_code)


/********************** CalSAWSRecoveryAccountReasonMap *********************/
insert CalSAWSRecoveryAccountReasonMap
select distinct debt_reason_code,
		description,
		null,
		null
from debt_reason
where not exists (select 1 
			from CalSAWSRecoveryAccountReasonMap
			where debt_reason_code = vacs_code)


/********************** CalSAWSRecoveryAccountCauseMap *********************/
insert CalSAWSRecoveryAccountCauseMap
select debt_type_code,
		type_code,
		description,
		null,
		null
from debt_type
where not exists (select 1 
			from CalSAWSRecoveryAccountCauseMap
			where debt_type.debt_type_code = debt_type_code and
				debt_type.type_code = type_code)


/********************** CalSAWSAidCodeMap *********************/
insert CalSAWSAidCodeMap
select  distinct aid_type,
		(select min(type_code) 
			from account a2
			where account.aid_type = a2.aid_type),
		null,
		null
from account
where not exists (select 1 
			from CalSAWSAidCodeMap
			where aid_type = vacs_code)
group by aid_type


/********************** CalSAWSTransactionTypeMap *********************/
insert CalSAWSTransactionTypeMap
select  transaction_code,
	description,
	null,
	null
from transaction_type
where not exists (select 1 
			from CalSAWSTransactionTypeMap
			where transaction_code = vacs_code)


/********************** CalSAWSLanguageCodeMap *********************/
insert CalSAWSLanguageCodeMap
select  primary_language_code,
	description,
	null,
	null
from language
where not exists (select 1 
			from CalSAWSLanguageCodeMap
			where primary_language_code = vacs_code)






